#include "PS2.h"
#include <SoftwareSerial.h>
#include <PS2X_lib.h>  //for v1.6
#define CLK 9      // BotBoarduino pins for PS2 controller
#define CMD 7
#define ATT 8
#define DAT 6
// These pin numbers differ from those in the origional example 

//right now, the library does NOT support hot pluggable controllers, meaning 
//you must always either restart your Arduino after you conect the controller, 
//or call config_gamepad(pins) again after connecting the controller.
int error = 0; 
byte type = 0;
byte vibrate = 0;

PS2X ps2x; // create PS2 Controller Class

void setupPS2(){
  error = ps2x.config_gamepad(CLK, CMD, ATT, DAT, true, true);   //setup pins and settings:  GamePad(clock, command, attention, data, Pressures?, Rumble?) check for error
 
 if(error == 0){
   Serial.println("Found Controller, configured successful");
   Serial.println("Try out all the buttons, X will vibrate the controller, faster as you press harder;");
   Serial.println("holding L1 or R1 will print out the analog stick values.");
   Serial.println("Go to www.billporter.info for updates and to report bugs.");
   }   
  else if(error == 1)
   Serial.println("No controller found, check wiring, see readme.txt to enable debug. visit www.billporter.info for troubleshooting tips"); 
  else if(error == 2)
   Serial.println("Controller found but not accepting commands. see readme.txt to enable debug. Visit www.billporter.info for troubleshooting tips");   
  else if(error == 3)
   Serial.println("Controller refusing to enter Pressures mode, may not support it. ");
   
   //Serial.print(ps2x.Analog(1), HEX);
   
   type = ps2x.readType(); 
     switch(type) {
       case 0:
         Serial.println("Unknown Controller type");
         break;
       case 1:
         Serial.println("DualShock Controller Found");
         break;
       case 2:
         Serial.println("GuitarHero Controller Found");
         break;
       }
  }

